Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.deployment.session
Class DeploymentOptions

    java.lang.Object
      com.bea.dsp.management.deployment.session.DeploymentOptions

All Implemented Interfaces:
  java.io.Serializable

    public class DeploymentOptions

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`DeploymentOptions()`

Method Summary
`java.lang.String` | `getPassphrase()` Returns the passphrase that should be used to decrypt the usernames and passwords of any imported service account.
`boolean` | `isFullInstallment()` A boolean setting indicating whether the deployment operation involves a full installment, whose contents will be used to replace the existing contents of the targeted dataspace.
`boolean` | `isIncludeConfiguration()` When `false` configuration files (like space, service etc.)
`boolean` | `isPreserveEndPointMappings()` When `true` the data source endpoint mappings will not be modified based on the mappings in the deployment unit.
`void` | `setFullInstallment(boolean fullInstallment)`
`void` | `setIncludeConfiguration(boolean includeConfiguration)`
`void` | `setPassphrase(java.lang.String passphrase)`
`void` | `setPreserveEndPointMappings(boolean preserveEndPointMappings)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeploymentOptions

    public DeploymentOptions()

Method Detail

### isFullInstallment

    public boolean isFullInstallment()

  A boolean setting indicating whether the deployment operation involves a full installment, whose contents will be used to replace the existing contents of the targeted dataspace. If set to `false`, the deployment operation involves a partial installment, whose contents are superimposed on top of the existing dataspace contents.

  The default value is `false`.

### setFullInstallment

    public void setFullInstallment(boolean fullInstallment)

### isIncludeConfiguration

    public boolean isIncludeConfiguration()

  When `false` configuration files (like space, service etc.) are not included in the import operation, even if they are present in the deployment unit.

  This setting may be disabled even when `FullInstallment` is enabled.

  The default value is `true`.

### setIncludeConfiguration

    public void setIncludeConfiguration(boolean includeConfiguration)

### isPreserveEndPointMappings

    public boolean isPreserveEndPointMappings()

  When `true` the data source endpoint mappings will not be modified based on the mappings in the deployment unit. This means that if a datasource has been mapped to datasource1 and in the imported deployment unit it is mapped to datasource2, the final mapping with this setting enabled will be datasource1. Reconciliation will still happen. New datasources will be added and non-existing datasources will be deleted. All the new datasources will have no mapping if this setting is enabled.

  This setting is not used if the `includeConfiguration` setting is disabled.

  The default value is `false`.

### setPreserveEndPointMappings

    public void setPreserveEndPointMappings(boolean preserveEndPointMappings)

### getPassphrase

    public java.lang.String getPassphrase()

  Returns the passphrase that should be used to decrypt the usernames and passwords of any imported service account. The same passphrase must have been used during the export operation.

  This setting is not used if there are no service accounts in the imported deployment unit.

### setPassphrase

    public void setPassphrase(java.lang.String passphrase)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.